## gem 0.93.3

=== build/autoconf/Makefile ===
default %:
	make -C ../../src/ $@
