=== debian/changelog ===
gem (1:0.93.3-18build1) disco; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 19:52:20 -0500

gem (1:0.93.3-18) unstable; urgency=medium

  * Explicitly disabled MMX on i386 (Closes: #909817)
  * Display Debian-version at splashscreen

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 29 Sep 2018 20:42:22 +0200

gem (1:0.93.3-17) unstable; urgency=medium

  * Added patch for Pd-0.49 (Closes: #909824)
  * Only enable SIMD on amd64 platforms (Closes: #909817)
  * Don't require "root" for building
  * Bumped standards version

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 29 Sep 2018 13:11:11 +0200

gem (1:0.93.3-16) unstable; urgency=medium

  * Hopefully fixing ppc64el builds for real

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Apr 2018 22:48:37 +0200

gem (1:0.93.3-15) unstable; urgency=medium

  * Fixed FTBFS regression on ppc64el

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Apr 2018 10:20:48 +0200

gem (1:0.93.3-14) unstable; urgency=medium

  * Prepare for cross-compilation.
    * Added patch for cross-compilation safe check for PD_(MAJOR|MINOR)_VERSION.
      Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #893650)
    * Prepare d/rules for X-compilation
    * Don't use multi-arch for --lib and friends
  * d/rules: Simplified ppc64el special-handling
  * d/control: Adopted package into debian-multimedia team
  * d/copyright: Updated

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Apr 2018 21:33:55 +0200

gem (1:0.93.3-13) unstable; urgency=medium

  * Enabled hardening
  * gem-dev: Install platform-independend pkg-config script to /usr/share
  * gem-doc: Marked as Multi-Arch:foreign
  * Switched URLs to https://
  * Fixed spelling errors
  * Updated Vcs-* stanzas to salsa.d.o
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh script
    * Dropped d/README.source as it doesn't contain any useful information
  * Added d/copyright_hints
  * Bumped dh compat to 11
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 22:58:19 +0100

gem (1:0.93.3-12) unstable; urgency=medium

  * Fixed searchpatch handling for Pd<>0.48 (Closes: #872906)
  * Use https:// for upstream homepage
  * Properly quote varargs in pd-gem wrapper
  * Avoid calling dpkg-parsechangelog in d/rules
  * Modernized Vcs-Browser stanza
  * Bumped dh compat to 10
  * Bumped standards-version to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Aug 2017 14:31:23 +0200

gem (1:0.93.3-11) unstable; urgency=medium

  * debian/patches/searchpath.patch: update for puredata 0.48.0-1
  (closes: #872678)
  * debian/control: bump S-V to 4.0.0
  * debian/compat: bump to 9
  * debian/rules: move dh options after command

 -- Paul Brossier <piem@debian.org>  Sun, 20 Aug 2017 16:41:18 +0200

gem (1:0.93.3-10) unstable; urgency=medium

  * Made build reproducible.
  * Don't fail if 'find' is given a non-existing directory. (Closes: #806029)
  * Updated Vcs-* stanzas.
  * Switched to fonts-dejavu-core for the default font. (Closes: #815913)
  * Added debian/git-tuneclone.sh script.
    * Documented in debian/README.source
  * Removed Günter Geiger from Uploaders.
  * Bumped standards-version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 15 Apr 2016 00:19:07 +0200

gem (1:0.93.3-9) unstable; urgency=medium

  * Prevent building against (unsupported) GraphicsMagick++

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 23 Aug 2015 21:48:13 +0200

gem (1:0.93.3-8) unstable; urgency=medium

  * Disabled altivec on ppc64el (Closes: #768493)
  * Provided short-name for font-license in debian/copyright
  * Bumped standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Nov 2014 22:22:09 +0100

gem (1:0.93.3-7) unstable; urgency=medium

  * Changed B-D to libjpeg-dev for libjpeg-turbo transition (Closes: #763472)
    - Thanks to Ondřej Surý
  * Use autoreconf to fix builds on arm64
  * Fixed my uploader's name (again)
  * Re-enabled gem-plugin-mpeg3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Oct 2014 22:18:03 +0200

gem (1:0.93.3-6) unstable; urgency=medium

  * Disabled gem-plugin-mpeg3
  * Updated my uploader's name
  * Canonical Vcs-* stanzas
  * Bumped standards-version to 3.9.5

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Tue, 04 Mar 2014 16:42:42 +0100

gem (1:0.93.3-5) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Include <unistd.h> on FreeBSD as well (Closes: #659747)

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Mon, 11 Jun 2012 15:45:54 +0200

gem (1:0.93.3-4) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Bumped to standards version to 3.9.3
  * Switched copyright to DEP-5 format
  * Enabled hardening
  * Included <unistd.h> when needed (Closes: #673286)
  * Fixed line-breaks in text-rendering objects
  * Re-added argument to [pix_film]
  * Fixed race condition in thread code
  * Applied upstream fix for spurious warnings related to imageStruct copies

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 11 Jun 2012 11:54:55 +0200

gem (1:0.93.3-3) unstable; urgency=low

  * include proper headers on kFreeBSD (Closes: 659747)
  * disable v4l building (since v4l1-support has been disabled as well)
  * disabled libdv on non-linux
  * force .pd_linux extension on all archs
    - puredata on Debian always uses the .pd_linux extension

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 17 Feb 2012 20:46:24 +0100

gem (1:0.93.3-2) unstable; urgency=low

  [ Paul Brossier ]
  * debian/rules: fix FTBFS of arch dep packages (closes: #655048)
  * debian/patches/: reduce warning messages output (closes: #655246)

  [ IOhannes m zmölnig ]
  * Added gem-dev package (Closes: #582555)

