=== debian/control ===
Source: gem
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Paul Brossier <piem@debian.org>,
Homepage: https://gem.iem.at/
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/gem
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/gem.git
Build-Depends:
 debhelper (>=11~),
 autoconf,
 automake,
 pkg-config,
 puredata-dev | puredata (<<0.43),
 libxxf86vm-dev,
 libgl1-mesa-dev | libgl-dev,
 zlib1g-dev (>= 1:1.1.3),
 libglew1.6-dev | libglew-dev,
 libftgl-dev,
 libmagick++-dev,
 libjpeg-dev,
 libtiff-dev,
 libgmerlin-avdec-dev,
 libquicktime-dev,
 libmpeg3-dev,
 libdv4-dev [linux-any],
 libiec61883-dev [linux-any],
 libdc1394-22-dev [linux-any],
 libunicap2-dev [linux-any],
 libv4l-dev [linux-any],
Build-Conflicts: libgraphicsmagick++-dev
Rules-Requires-Root: no
Standards-Version: 4.2.1

Package: gem
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 puredata-core | pd,
Recommends:
 gem-doc,
 gem-extra,
 gem-plugin-gmerlin | gem-plugin-film,
 gem-plugin-magick | gem-plugin-image,
 gem-plugin-lqt | gem-plugin-record,
 gem-plugin-v4l2 | gem-plugin-video,
Suggests:
 pd-zexy,
 fonts-dejavu-core,
Description: Graphics Environment for Multimedia - Pure Data library
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package contains the core library.
 If you want to use external data (live video capture, film footage, still
 images,...), you have to install one (or all) of the gem-plugin-* packages.

Package: gem-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 gem,
Replaces: gem (<< 1:0.93)
Breaks: gem (<< 1:0.93)
Description: Graphics Environment for Multimedia (documentation)
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package includes the documentation for Gem.

Package: gem-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
 puredata-dev | puredata (<<0.43),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libftgl-dev,
Suggests:
 pkg-config,
Recommends:
 gem,
Description: Graphics Environment for Multimedia (development files)
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides the header-files for compiling externals (plugins) for
 Gem.

Package: gem-extra
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Description: Graphics Environment for Multimedia - extra objects
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package includes some contrib objects, mainly for tracking.
 Currently included objects are:
 [pix_mano], [pix_drum] tracking objects by Jaime Oliver
 [pix_fiducialtrack] reacTIVision-like tracking

Package: gem-plugin-gmerlin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-film
Description: Graphics Environment for Multimedia - GMERLIN support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie decoding using the gmerlin-avdecoder library.

Package: gem-plugin-lqt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-film,
 gem-plugin-record
Description: Graphics Environment for Multimedia - LQT support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie input and output using the libquicktime
 library.

Package: gem-plugin-mpeg3
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-film
Description: Graphics Environment for Multimedia - MPEG support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie decoding using the libmpeg3 library (allowing
 you to read MPEG-1 and MPEG-2 video files)

Package: gem-plugin-magick
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-image
Description: Graphics Environment for Multimedia - ImageMagick support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the ImageMagick library.

Package: gem-plugin-jpeg
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-image
Description: Graphics Environment for Multimedia - JPEG support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the libjpeg library.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write jpeg images.

Package: gem-plugin-tiff
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-image
Description: Graphics Environment for Multimedia - TIFF support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the libtiff library.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write TIFF images.

Package: gem-plugin-sgi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-image
Description: Graphics Environment for Multimedia - SGI support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image loading for SGI images.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write(!) SGI
 images.

Package: gem-plugin-v4l2
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Suggests:
 v4l2loopback-dkms | v4l2loopback-modules,
Provides: gem-plugin-video,
 gem-plugin-record
Description: Graphics Environment for Multimedia - V4L2 output support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video input and output using V4L2.
 .
 For video output, you might want to use a loopback device, for which you will
 have to install the v4l2loopback kernel module as well.

Package: gem-plugin-dv4l
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-video
Description: Graphics Environment for Multimedia - DV support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using libdv, allowing you to capture from
 your consumer-grade ("firewire") DV-camcorder.

Package: gem-plugin-dc1394
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-video
Description: Graphics Environment for Multimedia - DC1394 support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using dc1394, allowing you to capture
 from your industry grade ("firewire") IIDC camera

Package: gem-plugin-unicap
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gem (>= ${source:Version}),
 gem (<< ${source:Upstream-Version}+1~),
Provides: gem-plugin-video
Description: Graphics Environment for Multimedia - unicap support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using unicap.
