=== debian/watch ===
version=3
https://sf.net/pd-gem/ Gem-(\d+)\.(\d+)\.(\d)\.tar\.gz
