## gem 0.94~pre1

=== debian/changelog ===
gem (1:0.94~pre1-1) unstable; urgency=medium

  * New upstream version 0.94~pre1
    * Drop patches applied upstream
  * Add patch to allow linking against libGLEWmx
  * Use update-alternatives for selecting [gemdefaultwindow]
  * Note that users should prefer gem-plugin-gmerlin over gem-plugin-mpeg3
  * Dropped overrides for dh_strip/dh_shlibdeps, as this is handled by dh>=11
  * Refreshed d/copyright(_hints)
  * d/watch switched to new upstream repository

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 23 Dec 2018 12:13:37 +0100

gem (1:0.93.3+20181212-1~exp1) experimental; urgency=medium

  * New upstream version 0.93.3+20181212
    * Removed patches applied upstream
  * Build with glew-mx
  * Enabled VLC, VNC, Assimp and DeckLink modules
  * Enabled GLUT, GLFW and SDL modules
  * Fixed spelling errors
  * Updated d/copyright
    * Refreshed d/copyright_hints
    * Excluded more binary files from copyright_check

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 13 Dec 2018 20:52:01 +0100
