=== debian/control ===
--- 
+++ 
@@ -17,8 +17,12 @@
  libxxf86vm-dev,
  libgl1-mesa-dev | libgl-dev,
  zlib1g-dev (>= 1:1.1.3),
- libglew1.6-dev | libglew-dev,
+ libglewmx-dev,
+ libglfw3-dev,
+ freeglut3-dev,
+ libsdl1.2-dev,
  libftgl-dev,
+ libfribidi-dev,
  libmagick++-dev,
  libjpeg-dev,
  libtiff-dev,
@@ -30,6 +34,9 @@
  libdc1394-22-dev [linux-any],
  libunicap2-dev [linux-any],
  libv4l-dev [linux-any],
+ libvlc-dev,
+ libvncserver-dev,
+ libassimp-dev,
 Build-Conflicts: libgraphicsmagick++-dev
 Rules-Requires-Root: no
 Standards-Version: 4.2.1
@@ -47,6 +54,7 @@
  gem-plugin-magick | gem-plugin-image,
  gem-plugin-lqt | gem-plugin-record,
  gem-plugin-v4l2 | gem-plugin-video,
+ gem-plugin-assimp | gem-plugin-model,
 Suggests:
  pd-zexy,
  fonts-dejavu-core,
@@ -160,7 +168,10 @@
  computer music system.
  .
  This package provides film/movie decoding using the libmpeg3 library (allowing
- you to read MPEG-1 and MPEG-2 video files)
+ you to read MPEG-1 and MPEG-2 video files).
+ .
+ NOTE: the gem-plugin-gmerlin package allows you to read those files as well
+ in a more consistent/stable manner.
 
 Package: gem-plugin-magick
 Architecture: any
@@ -296,3 +307,68 @@
  computer music system.
  .
  This package provides video capturing using unicap.
+
+Package: gem-plugin-vnc
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gem (>= ${source:Version}),
+ gem (<< ${source:Upstream-Version}+1~),
+Provides: gem-plugin-video
+Description: Graphics Environment for Multimedia - VNC support
+ Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
+ rendering and animation to Pd.  Pd is a graphical programming language and
+ computer music system.
+ .
+ This package provides video capturing using vncserver
+
+Package: gem-plugin-vlc
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gem (>= ${source:Version}),
+ gem (<< ${source:Upstream-Version}+1~),
+Provides: gem-plugin-video
+Description: Graphics Environment for Multimedia - VLC support
+ Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
+ rendering and animation to Pd.  Pd is a graphical programming language and
+ computer music system.
+ .
+ This package provides video capturing using the VideoLAN-Client engine
+
+Package: gem-plugin-assimp
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gem (>= ${source:Version}),
+ gem (<< ${source:Upstream-Version}+1~),
+Provides: gem-plugin-model
+Description: Graphics Environment for Multimedia - Assimp support
+ Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
+ rendering and animation to Pd.  Pd is a graphical programming language and
+ computer music system.
+ .
+ This package provides model loading using Assimp.
+
+Package: gem-plugin-glfw3
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gem (>= ${source:Version}),
+ gem (<< ${source:Upstream-Version}+1~),
+Provides: gem-plugin-window
+Description: Graphics Environment for Multimedia - GLFW3 support
+ Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
+ rendering and animation to Pd.  Pd is a graphical programming language and
+ computer music system.
+ .
+ This package provides windowing using GLFW3.
+
+Package: gem-plugin-glut
+Architecture: any
+Depends:
+ ${misc:Depends},
