## gem 0.94

=== debian/changelog ===
gem (1:0.94-9) unstable; urgency=medium

  * Recommend ttf-bitstream-vera (Closes: #1035851)
  * Cleanup build (Closes: #1044512)
    - Move 'clean' logic to d/clean
  * Switch to dh-sequence-puredata (and use the various substvars)
  * Build for both Pd32 and Pd64
  * Prefer Suggesting "pkgconf" over "pkg-config"
    - both for Build-Dependencies and Suggests
  * (Build-)Depend on the generic libgl(u)-dev rather than mesa-headers
  * Backport patch to completely disable plugins
  * Document how to chose the window backend
  * Lower the priority of the legacy SDL window backend
  * Fix lintian-override for embedded glew-mx
  * Modernize d/watch (still at version 4)
  * Drop obsolete Rules-Requires-Root stanza.
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.2
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 08 Jan 2026 21:33:29 +0100

gem (1:0.94-8) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Dec 2022 08:20:13 +0100

gem (1:0.94-7) unstable; urgency=medium

  * Fix FTBFS on ppc64el (Closes: #1005395) (LP: #1269021)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Feb 2022 23:30:31 +0100

gem (1:0.94-6) unstable; urgency=medium

  * Add patch to fix FTBFS with new gavl/gmerlin (Closes: #1005103)
  * Refresh patches with 'gbp pq'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Feb 2022 17:13:04 +0100

gem (1:0.94-5) unstable; urgency=medium

  * Patch to compile with Pd>=0.52
  * Fix dh_clean override
  * Suggest [declare -lib Gem] in d/README

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Dec 2021 15:52:26 +0100

gem (1:0.94-4) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop Recommends of ttf-bitstream-vera (Closes: #998273)
  * Fix long description (whitespace)
  * Drop B-D on autoconf/automake
  * Update lintian-override
  * Apply "warp-and-sort -ast"
  * Bump dates in d/copyright
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Dec 2021 12:52:27 +0100

gem (1:0.94-3) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Switch to libdc1394-dev (Closes: #970835)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Sep 2020 13:20:01 +0200

gem (1:0.94-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop B-D on libglew-mx (Closes: #941053)
    * Patch included embedded copy of glew.h
    * Add lintian-override for embedded copy of glew-mx
  * Drop useless line-continuation (Closes: #963417)
  * Drop unused d/alternatives as it breaks builds with dh>=13.1
  * Fix missing installs
    * Remove .la files from all installation directories
    * Call dh_install *after* removing extranous stuff from debian/tmp/
  * Fix path to doc-base files
  * Have gem-doc "recommend" DejaVu and BitStream-Vera fonts
    * Symlink vera.ttf to the font provided by ttf-bitstream-vera
  * Drop "./" from Files-stanzas in d/copyright
  * Fix encoding of d/README
  * Add salsa-ci configuration
  * Drop obsolete d/source/local-options
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entries 0.83-1, 0.81-6, 0.81-5, 0.81-
    3, 0.81-2.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 22 Jun 2020 13:50:13 +0200

gem (1:0.94-1) unstable; urgency=medium

  * New upstream version 0.94
    * Dropped unneeded patches
  * Include imageSTB plugin
  * Sort B-Ds alphabetically
  * Refreshed d/copyright(_hints)
  * Bumped dh compat to 12
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Feb 2019 14:49:57 +0100
