=== debian/control ===
Source: gem
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Paul Brossier <piem@debian.org>,
Homepage: https://gem.iem.at/
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/gem
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/gem.git
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
 freeglut3-dev,
 libassimp-dev,
 libdc1394-dev [linux-any],
 libdv4-dev [linux-any],
 libfribidi-dev,
 libftgl-dev,
 libgl-dev | libgl1-mesa-dev,
 libglfw3-dev,
 libgmerlin-avdec-dev,
 libiec61883-dev [linux-any],
 libjpeg-dev,
 libmagick++-dev,
 libmpeg3-dev,
 libquicktime-dev,
 libsdl1.2-dev,
 libtiff-dev,
 libunicap2-dev [linux-any],
 libv4l-dev [linux-any],
 libvlc-dev,
 libvncserver-dev,
 libxxf86vm-dev,
 pkgconf | pkg-config,
 puredata-dev | puredata (<< 0.43),
 zlib1g-dev,
Build-Conflicts:
 libgraphicsmagick++-dev,
Standards-Version: 4.7.2

Package: gem
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 gem-doc,
 gem-extra,
 gem-plugin-assimp | gem-plugin-model,
 gem-plugin-gmerlin | gem-plugin-film,
 gem-plugin-lqt | gem-plugin-record,
 gem-plugin-magick | gem-plugin-image,
 gem-plugin-v4l2 | gem-plugin-video,
 ${puredata:Recommends},
Suggests:
 fonts-dejavu-core,
 pd-zexy,
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: Graphics Environment for Multimedia - Pure Data library
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package contains the core library.
 If you want to use external data (live video capture, film footage, still
 images, ...), you have to install one (or all) of the gem-plugin-* packages.

Package: gem-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 fonts-dejavu-core,
 gem,
 ttf-bitstream-vera,
Description: Graphics Environment for Multimedia (documentation)
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package includes the documentation for Gem.

Package: gem-dev
Section: libdevel
Architecture: all
Depends:
 libftgl-dev,
 libgl-dev | libgl1-mesa-dev,
 libglu-dev | libglu1-mesa-dev,
 puredata-dev | puredata (<<0.43),
 ${misc:Depends},
Suggests:
 pkgconf | pkg-config,
Recommends:
 gem,
Description: Graphics Environment for Multimedia (development files)
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides the header-files for compiling externals (plugins) for
 Gem.

Package: gem-extra
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Graphics Environment for Multimedia - extra objects
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package includes some contrib objects, mainly for tracking.
 Currently included objects are:
 [pix_mano], [pix_drum] tracking objects by Jaime Oliver
 [pix_fiducialtrack] reacTIVision-like tracking

Package: gem-plugin-gmerlin
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-film,
Description: Graphics Environment for Multimedia - GMERLIN support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie decoding using the gmerlin-avdecoder library.

Package: gem-plugin-lqt
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-film,
 gem-plugin-record,
Description: Graphics Environment for Multimedia - LQT support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie input and output using the libquicktime
 library.

Package: gem-plugin-mpeg3
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-film,
Description: Graphics Environment for Multimedia - MPEG support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides film/movie decoding using the libmpeg3 library (allowing
 you to read MPEG-1 and MPEG-2 video files).
 .
 NOTE: the gem-plugin-gmerlin package allows you to read those files as well
 in a more consistent/stable manner.

Package: gem-plugin-magick
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-image,
Description: Graphics Environment for Multimedia - ImageMagick support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the ImageMagick library.

Package: gem-plugin-jpeg
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-image,
Description: Graphics Environment for Multimedia - JPEG support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the libjpeg library.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write jpeg images.

Package: gem-plugin-tiff
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-image,
Description: Graphics Environment for Multimedia - TIFF support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image input and output using the libtiff library.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write TIFF images.

Package: gem-plugin-sgi
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-image,
Description: Graphics Environment for Multimedia - SGI support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides image loading for SGI images.
 If you have installed the gem-plugin-magick package as well, you might find
 that you don't need this package as you can already read and write(!) SGI
 images.

Package: gem-plugin-v4l2
Architecture: linux-any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 v4l2loopback-dkms | v4l2loopback-modules,
Provides:
 gem-plugin-record,
 gem-plugin-video,
Description: Graphics Environment for Multimedia - V4L2 output support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video input and output using V4L2.
 .
 For video output, you might want to use a loopback device, for which you will
 have to install the v4l2loopback kernel module as well.

Package: gem-plugin-dv4l
Architecture: linux-any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - DV support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using libdv, allowing you to capture from
 your consumer-grade ("firewire") DV-camcorder.

Package: gem-plugin-dc1394
Architecture: linux-any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - DC1394 support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using dc1394, allowing you to capture
 from your industry grade ("firewire") IIDC camera

Package: gem-plugin-unicap
Architecture: linux-any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - unicap support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using unicap.

Package: gem-plugin-vnc
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - VNC support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using vncserver

Package: gem-plugin-vlc
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-video,
Description: Graphics Environment for Multimedia - VLC support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides video capturing using the VideoLAN-Client engine

Package: gem-plugin-assimp
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-model,
Description: Graphics Environment for Multimedia - Assimp support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
 This package provides model loading using Assimp.

Package: gem-plugin-glfw3
Architecture: any
Depends:
 gem (<< ${source:Upstream-Version}+1~),
 gem (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gem-plugin-window,
Description: Graphics Environment for Multimedia - GLFW3 support
 Gem is a loadable library for Pure Data (Pd), which adds OpenGL graphics
 rendering and animation to Pd.  Pd is a graphical programming language and
 computer music system.
 .
